<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.12"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eduRayTracer: src/Sphere.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eduRayTracer
   &#160;<span id="projectnumber">v_2017_2018_1</span>
   </div>
   <div id="projectbrief">An Educational Ray Tracing Software Package (by Pedro Santana, ISCTE-IUL)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.12 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_sphere_8hpp_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Sphere.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_sphere_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * eduRayTracer - An Educational Ray Tracing Software Package</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> * Contributor(s): Pedro Santana - ISCTE-IUL (2014-2016)</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#ifndef _H_Sphere_</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#define _H_Sphere_</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_surface_8hpp.html">Surface.hpp</a>&quot;</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_vec_8hpp.html">Vec.hpp</a>&quot;</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_box_8hpp.html">Box.hpp</a>&quot;</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_material_8hpp.html">Material.hpp</a>&quot;</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &lt;vector&gt;</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="class_sphere.html">   17</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_sphere.html">Sphere</a> : <span class="keyword">public</span> <a class="code" href="class_surface.html">Surface</a>{</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="class_sphere.html#a45d6c6c870fac7c2a885ad2e226334ad">   21</a></span>&#160;    <span class="keywordtype">double</span> <a class="code" href="class_sphere.html#a45d6c6c870fac7c2a885ad2e226334ad">radius</a>;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00024"></a><span class="lineno"><a class="line" href="class_sphere.html#adb39e77a4ce7a55f090af7be040fab7b">   24</a></span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="class_sphere.html#adb39e77a4ce7a55f090af7be040fab7b">inv_normal</a>;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    <a class="code" href="class_sphere.html#a890a63ff583cb88e7ec4e840b4ef5eb9">Sphere</a>();</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    <a class="code" href="class_sphere.html#a890a63ff583cb88e7ec4e840b4ef5eb9">Sphere</a> (<a class="code" href="class_vec.html">Vec</a> _o, <span class="keywordtype">double</span> _radius, <a class="code" href="class_material.html">Material</a> *_m, <span class="keywordtype">bool</span> _inv_normal);</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00044"></a><span class="lineno"><a class="line" href="class_sphere.html#aa0963e7749cf2a3040b149b31cece46f">   44</a></span>&#160;    <a class="code" href="class_sphere.html#aa0963e7749cf2a3040b149b31cece46f">Sphere</a> (std::string _id, <a class="code" href="class_vec.html">Vec</a> _o, <span class="keywordtype">double</span> _radius, <a class="code" href="class_material.html">Material</a> *_m, <span class="keywordtype">bool</span> _inv_normal) : <a class="code" href="class_sphere.html">Sphere</a> (_o, _radius, _m, _inv_normal){</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;        <span class="keywordtype">id</span> = _id;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;        <a class="code" href="class_sphere.html#a8e7068ae2787aa9ff47eefe23b245c9f">bounding_box</a>();</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    }</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div><div class="line"><a name="l00053"></a><span class="lineno"><a class="line" href="class_sphere.html#abc5160404dc9fa0d6a7ae8028dc1a7f1">   53</a></span>&#160;    <span class="keywordtype">double</span> <a class="code" href="class_sphere.html#abc5160404dc9fa0d6a7ae8028dc1a7f1">getRadius</a>() {<span class="keywordflow">return</span> <a class="code" href="class_sphere.html#a45d6c6c870fac7c2a885ad2e226334ad">radius</a>;};</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    </div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div><div class="line"><a name="l00059"></a><span class="lineno"><a class="line" href="class_sphere.html#a70c60796fb681dc31dbce78e3ca8c36b">   59</a></span>&#160;    <a class="code" href="class_vec.html">Vec</a> <a class="code" href="class_sphere.html#a70c60796fb681dc31dbce78e3ca8c36b">getPosLocalCoords</a>() {<span class="keywordflow">return</span> <a class="code" href="class_surface.html#ac8918f57a731e9f129c4a2051d0bc15d">vertexes</a>[0]-&gt;local_o;}</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div><div class="line"><a name="l00065"></a><span class="lineno"><a class="line" href="class_sphere.html#ab81f16923614f7ff3f5172239135ef72">   65</a></span>&#160;    <a class="code" href="class_vec.html">Vec</a> <a class="code" href="class_sphere.html#ab81f16923614f7ff3f5172239135ef72">getPosWorldCoords</a>() {<span class="keywordflow">return</span> <a class="code" href="class_surface.html#ac8918f57a731e9f129c4a2051d0bc15d">vertexes</a>[0]-&gt;o;}</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;    </div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;</div><div class="line"><a name="l00071"></a><span class="lineno"><a class="line" href="class_sphere.html#a43f31e0eaf092bc14fe8be5c2051e659">   71</a></span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_sphere.html#a43f31e0eaf092bc14fe8be5c2051e659">setRadius</a>(<span class="keywordtype">double</span> _radius) {radius = _radius;};</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;    </div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;</div><div class="line"><a name="l00077"></a><span class="lineno"><a class="line" href="class_sphere.html#a7679526478966e1e143360dfd12d57a3">   77</a></span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_sphere.html#a7679526478966e1e143360dfd12d57a3">setPosLocalCoords</a>(<a class="code" href="class_vec.html">Vec</a> _centre) {<a class="code" href="class_surface.html#ac8918f57a731e9f129c4a2051d0bc15d">vertexes</a>[0]-&gt;local_o = _centre;}</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_sphere.html#a8e7068ae2787aa9ff47eefe23b245c9f">bounding_box</a>();</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="class_box.html">Box</a> <a class="code" href="class_sphere.html#ab5aec7813daccf5bca5831cde5a30c00">getBBox</a>();</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;    </div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="class_vec.html">Vec</a> <a class="code" href="class_sphere.html#af245199d60ad587999c8b4e10f2c8dc0">getCentroid</a>();</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;    </div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="class_sphere.html#a52b2eaae5dac35fa93b5e254af875828">addSurfaces</a>(std::vector&lt;Surface*&gt; &amp;objects);</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="class_sphere.html#afb9d78112a4d75bff15caf6d4e7d0362">hit</a>(<span class="keyword">const</span> <a class="code" href="class_ray.html">Ray</a> &amp;r, <a class="code" href="structhit__rec.html">hit_rec</a> &amp;h_r, <span class="keywordtype">double</span> t_min, <span class="keywordtype">double</span> t_max);</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;};</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="class_sphere_html_a52b2eaae5dac35fa93b5e254af875828"><div class="ttname"><a href="class_sphere.html#a52b2eaae5dac35fa93b5e254af875828">Sphere::addSurfaces</a></div><div class="ttdeci">virtual void addSurfaces(std::vector&lt; Surface *&gt; &amp;objects)</div><div class="ttdoc">Adds this sphere (its pointer, actually) to a given vector of surfaces. </div><div class="ttdef"><b>Definition:</b> Sphere.cpp:109</div></div>
<div class="ttc" id="class_surface_html"><div class="ttname"><a href="class_surface.html">Surface</a></div><div class="ttdoc">A base class for every geometry class (e.g., Sphere, Triangle, Mesh). </div><div class="ttdef"><b>Definition:</b> Surface.hpp:40</div></div>
<div class="ttc" id="class_sphere_html_a890a63ff583cb88e7ec4e840b4ef5eb9"><div class="ttname"><a href="class_sphere.html#a890a63ff583cb88e7ec4e840b4ef5eb9">Sphere::Sphere</a></div><div class="ttdeci">Sphere()</div><div class="ttdoc">A simple constructor (don&amp;#39;t use it directly). </div><div class="ttdef"><b>Definition:</b> Sphere.cpp:8</div></div>
<div class="ttc" id="class_sphere_html_afb9d78112a4d75bff15caf6d4e7d0362"><div class="ttname"><a href="class_sphere.html#afb9d78112a4d75bff15caf6d4e7d0362">Sphere::hit</a></div><div class="ttdeci">bool hit(const Ray &amp;r, hit_rec &amp;h_r, double t_min, double t_max)</div><div class="ttdoc">Checks if a given Ray intersects this Sphere and, if so, a hit record is filled in. </div><div class="ttdef"><b>Definition:</b> Sphere.cpp:30</div></div>
<div class="ttc" id="_box_8hpp_html"><div class="ttname"><a href="_box_8hpp.html">Box.hpp</a></div></div>
<div class="ttc" id="class_surface_html_ac8918f57a731e9f129c4a2051d0bc15d"><div class="ttname"><a href="class_surface.html#ac8918f57a731e9f129c4a2051d0bc15d">Surface::vertexes</a></div><div class="ttdeci">std::vector&lt; Vertex * &gt; vertexes</div><div class="ttdoc">Vector of vertexes associated to this Surface. Derived classes must use this vector if bounding boxes...</div><div class="ttdef"><b>Definition:</b> Surface.hpp:50</div></div>
<div class="ttc" id="class_sphere_html_abc5160404dc9fa0d6a7ae8028dc1a7f1"><div class="ttname"><a href="class_sphere.html#abc5160404dc9fa0d6a7ae8028dc1a7f1">Sphere::getRadius</a></div><div class="ttdeci">double getRadius()</div><div class="ttdoc">Returns the radius of the sphere. </div><div class="ttdef"><b>Definition:</b> Sphere.hpp:53</div></div>
<div class="ttc" id="class_sphere_html_ab81f16923614f7ff3f5172239135ef72"><div class="ttname"><a href="class_sphere.html#ab81f16923614f7ff3f5172239135ef72">Sphere::getPosWorldCoords</a></div><div class="ttdeci">Vec getPosWorldCoords()</div><div class="ttdoc">Returns the position of the sphere in the world frame (after being affected by the Transform hierarch...</div><div class="ttdef"><b>Definition:</b> Sphere.hpp:65</div></div>
<div class="ttc" id="class_sphere_html_adb39e77a4ce7a55f090af7be040fab7b"><div class="ttname"><a href="class_sphere.html#adb39e77a4ce7a55f090af7be040fab7b">Sphere::inv_normal</a></div><div class="ttdeci">bool inv_normal</div><div class="ttdoc">Flag stating whether the normal vectors are to be pointing into the sphere&amp;#39;s centre. </div><div class="ttdef"><b>Definition:</b> Sphere.hpp:24</div></div>
<div class="ttc" id="class_sphere_html_a7679526478966e1e143360dfd12d57a3"><div class="ttname"><a href="class_sphere.html#a7679526478966e1e143360dfd12d57a3">Sphere::setPosLocalCoords</a></div><div class="ttdeci">void setPosLocalCoords(Vec _centre)</div><div class="ttdoc">Sets the position of the sphere in the object frame (without being affected by any Transform)...</div><div class="ttdef"><b>Definition:</b> Sphere.hpp:77</div></div>
<div class="ttc" id="class_sphere_html_aa0963e7749cf2a3040b149b31cece46f"><div class="ttname"><a href="class_sphere.html#aa0963e7749cf2a3040b149b31cece46f">Sphere::Sphere</a></div><div class="ttdeci">Sphere(std::string _id, Vec _o, double _radius, Material *_m, bool _inv_normal)</div><div class="ttdoc">A Sphere constructor. </div><div class="ttdef"><b>Definition:</b> Sphere.hpp:44</div></div>
<div class="ttc" id="class_material_html"><div class="ttname"><a href="class_material.html">Material</a></div><div class="ttdoc">A class to create and manipulate surface materials. </div><div class="ttdef"><b>Definition:</b> Material.hpp:19</div></div>
<div class="ttc" id="class_sphere_html_a43f31e0eaf092bc14fe8be5c2051e659"><div class="ttname"><a href="class_sphere.html#a43f31e0eaf092bc14fe8be5c2051e659">Sphere::setRadius</a></div><div class="ttdeci">void setRadius(double _radius)</div><div class="ttdoc">Sets the radius of the sphere. </div><div class="ttdef"><b>Definition:</b> Sphere.hpp:71</div></div>
<div class="ttc" id="class_sphere_html_a70c60796fb681dc31dbce78e3ca8c36b"><div class="ttname"><a href="class_sphere.html#a70c60796fb681dc31dbce78e3ca8c36b">Sphere::getPosLocalCoords</a></div><div class="ttdeci">Vec getPosLocalCoords()</div><div class="ttdoc">Returns the position of the sphere in the object frame (without being affected by any Transform)...</div><div class="ttdef"><b>Definition:</b> Sphere.hpp:59</div></div>
<div class="ttc" id="class_sphere_html_ab5aec7813daccf5bca5831cde5a30c00"><div class="ttname"><a href="class_sphere.html#ab5aec7813daccf5bca5831cde5a30c00">Sphere::getBBox</a></div><div class="ttdeci">virtual Box getBBox()</div><div class="ttdoc">Returns the bounding box of this sphere. </div><div class="ttdef"><b>Definition:</b> Sphere.cpp:101</div></div>
<div class="ttc" id="class_vec_html"><div class="ttname"><a href="class_vec.html">Vec</a></div><div class="ttdoc">A class to create and manipulate 3D vectors. These can be used to store positions, normals, and RGB triplets. </div><div class="ttdef"><b>Definition:</b> Vec.hpp:16</div></div>
<div class="ttc" id="class_sphere_html_af245199d60ad587999c8b4e10f2c8dc0"><div class="ttname"><a href="class_sphere.html#af245199d60ad587999c8b4e10f2c8dc0">Sphere::getCentroid</a></div><div class="ttdeci">virtual Vec getCentroid()</div><div class="ttdoc">Returns the centroid of this sphere. </div><div class="ttdef"><b>Definition:</b> Sphere.cpp:105</div></div>
<div class="ttc" id="class_sphere_html"><div class="ttname"><a href="class_sphere.html">Sphere</a></div><div class="ttdoc">A class to create and manipulate spheres. </div><div class="ttdef"><b>Definition:</b> Sphere.hpp:17</div></div>
<div class="ttc" id="_material_8hpp_html"><div class="ttname"><a href="_material_8hpp.html">Material.hpp</a></div></div>
<div class="ttc" id="_vec_8hpp_html"><div class="ttname"><a href="_vec_8hpp.html">Vec.hpp</a></div></div>
<div class="ttc" id="class_box_html"><div class="ttname"><a href="class_box.html">Box</a></div><div class="ttdef"><b>Definition:</b> Box.hpp:12</div></div>
<div class="ttc" id="_surface_8hpp_html"><div class="ttname"><a href="_surface_8hpp.html">Surface.hpp</a></div></div>
<div class="ttc" id="class_sphere_html_a45d6c6c870fac7c2a885ad2e226334ad"><div class="ttname"><a href="class_sphere.html#a45d6c6c870fac7c2a885ad2e226334ad">Sphere::radius</a></div><div class="ttdeci">double radius</div><div class="ttdoc">Sphere&amp;#39;s radius. </div><div class="ttdef"><b>Definition:</b> Sphere.hpp:21</div></div>
<div class="ttc" id="class_ray_html"><div class="ttname"><a href="class_ray.html">Ray</a></div><div class="ttdoc">A class to create and manipulate 3D rays. </div><div class="ttdef"><b>Definition:</b> Ray.hpp:12</div></div>
<div class="ttc" id="class_sphere_html_a8e7068ae2787aa9ff47eefe23b245c9f"><div class="ttname"><a href="class_sphere.html#a8e7068ae2787aa9ff47eefe23b245c9f">Sphere::bounding_box</a></div><div class="ttdeci">void bounding_box()</div><div class="ttdoc">Computes the bounding box of the sphere. </div><div class="ttdef"><b>Definition:</b> Sphere.cpp:18</div></div>
<div class="ttc" id="structhit__rec_html"><div class="ttname"><a href="structhit__rec.html">hit_rec</a></div><div class="ttdoc">A structure used to hold information regarding ray-surface intersection events. </div><div class="ttdef"><b>Definition:</b> Surface.hpp:20</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="_sphere_8hpp.html">Sphere.hpp</a></li>
    <li class="footer">Generated on Fri Sep 15 2017 15:54:23 for eduRayTracer by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.12 </li>
  </ul>
</div>
</body>
</html>
